<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_32155ccb342f1" . "99043093041c1b" . "3bb57" => base64_decode("ZnJvbV9m" . "b2xkZXJf" . "aWQ="), "_80e7ee43fdf838101a2303a7b4a50e" . "fc" => base64_decode("dG9fZm9sZG" . "VyX2lk"));
use Claromentis\Core\Event\GenericEvent;


class MoveDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_32155ccb342f1990430930" . "41c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_80e7ee43" . "fdf838101" . "a2303a7b4" . "a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}